Subject: bug#55408: Explain the word "interactively" in the Emacs Manual

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 15 May 2022 15:34:58 +0200

Stefan Kangas <[email-masked]> writes:

> The docstring of `package-update-all' currently says: "Interactively,
> QUERY is always true."  AFAIU, this is short for "When called
> interactively," which is more clear but still not as clear as it could
> be.

Yes, that could be clearer; please go ahead and alter.

> In general, perhaps docstrings should prefer something like "When
> used as a command," instead of "When called interactively,".

I'm not sure that's an improvement.  Yes, we do use "command" with a
clear meaning in some parts (like in `describe-command'), but I think
"called interactively" is probably more immediately understandable to
most people who've used Emacs a bit.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no